Skip to main content
POST
/
notes
/
search
Search notes
curl --request POST \
  --url https://api.openwhispr.com/api/v1/notes/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "<string>",
  "limit": 20
}
'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "content": "<string>",
      "enhanced_content": "<string>",
      "note_type": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "score": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

API key starting with owk_live_

Body

application/json
query
string
required

Search text.

Required string length: 1 - 500
limit
integer
default:20

Max results to return.

Required range: 1 <= x <= 50

Response

200 - application/json

Search results ranked by relevance.

data
object[]